Sealio Docs
Documents

Newest files across all requests

Newest files across all requests. Reference for GET /v1/documents in the Sealio API: parameters and response fields.

GET/documents

Details only, newest first. Use it for an automation's sample data, or to poll when a webhook can't be used.

Authorization

apiKey
AuthorizationBearer <token>

sk_live_ca_… or sk_live_in_…, created in Settings → API keys.

In: header

Query Parameters

review?unknown

Value in

  • "pending"
  • "accepted"
  • "returned"
limit?integer
Range1 <= value <= 100
Default25

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/documents"
{  "object": "list",  "url": "string",  "data": [    {      "id": "string",      "object": "document",      "request_id": "string",      "item_id": "string",      "client_id": "string",      "file_name": "string",      "original_file_name": "string",      "content_type": "string",      "size": 0,      "status": "processing",      "review_status": "pending",      "review_reason": "string",      "reviewed_at": "2019-08-24T14:15:22Z",      "expires_on": "2019-08-24",      "uploaded_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}